Subject: Re: [Idr] AS deletion and reording in the AS_PATH

From: Curtis Villamizar <[email-masked]>
Date: Tue, 25 Jan 2005 11:06:26 -0500

A clarification.  Obviously I misread Sandy's second point in her
original email.  See below.  My mistake.

Curtis

------- Forwarded Message

Message-Id: <[email-masked]>
To: Sandy Murphy <[email-masked]>
cc: [email-masked]
Reply-To: [email-masked]
Subject: Re: [Idr] AS deletion and reording in the AS_PATH 
In-reply-to: Your message of "Mon, 24 Jan 2005 17:44:04 EST."
             <[email-masked]> 
Date: Mon, 24 Jan 2005 22:57:00 -0500
From: Curtis Villamizar <[email-masked]>

In message <[email-masked]>
Sandy Murphy writes:
>  
> (Private response)
>  
> I asked:
>  
> >> Second:  would those on the list agree that any manipulation other than
> >> "prepends its own AS number" is allowed, on the basis of there being "no
> >> mention" of the alternate manipulation?
>  
> You said:
>  
> >The text says that the AS Path is updated "as follows".  It does not
> >say "as follows or in any other arbitrary way".
>  
> which would say that you did NOT AGREE that any manipulation ... is allowed

Right.  Arbitrary manipulations are not allowed.

> Then you say:
>  
> >I agree with the second point.
>  
> which says you AGREE that "any manipulation ... is allowed"

OK.  So I disagree.  Your wording got me on the first read.

> Then you say:
>  
> >The intent is to prohibit any
> >modification of the AS path, except when aggregating, other than the
> >modification specificly described above.
>  
> which would seem to imply that you do NOT AGREE that "any manipulation 
> ... is allowed

That's right.

> I'm guessing that "I agree with the second point" means "No, I would
> not agree that any manipulation ... is allowed".
>  
> But strictly speaking it doesn't say that.

That's what I meant.  Someone must have a confusing double negative in
a sentence somewhere or something but we seem to be on the same
wavelength.  Arbitrary manipulation is not intended to be allowed.

> If "I agree with the second point" means what I think it means,
> could you clarify for the list?
>  
> --Sandy

OK

Curtis

------- End of Forwarded Message

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr